Module java.xml
Package javax.xml.stream.util

## Interface XMLEventConsumer

All Known Subinterfaces:
  XMLEventWriter

    public interface XMLEventConsumer

This interface defines an event consumer interface. The contract of the of a consumer is to accept the event. This interface can be used to mark an object as able to receive events. Add may be called several times in immediate succession so a consumer must be able to cache events it hasn't processed yet.

Since:
  1.6
Version:
  1.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `add(XMLEvent event)` This method adds an event to the consumer.

### Method Detail

#### add

    void add(XMLEvent event)
      throws XMLStreamException

This method adds an event to the consumer. Calling this method invalidates the event parameter. The client application should discard all references to this event upon calling add. The behavior of an application that continues to use such references is undefined.

Parameters:
  `event` - the event to add, may not be null
Throws:
  `XMLStreamException`